<?php

/******************************************************************************
 * An interface for segue updates
 *
 * 
 ******************************************************************************/


class Update103
	extends Update {
	
	var $fourExists = FALSE;
	var $fiveExists = FALSE;
	
	
    /**
     * Returns the name of the update
     *
     * @return string Name of the update
	 */
	function getName() {
		return "Segue 1.0.3 Update";
	}
	
    /**
     * Returns the description of the update
     *
     * @return string Description of the update
	 */
	function getDescription() {
		return "This update adds template4, a single-section template, and template5, 
		a completely blank template. These templates are referenced by Segue v1.0.3 and 
		newer.";
	}
	
    /**
     * Returns the status of the update
     *
     * @return boolean True if update does not need to be run.
	 */
	function hasRun() {
		// check for template4
		$query = "
			SELECT
				site_id
			FROM
				slot
					INNER JOIN
				site
					ON
						FK_site = site_id
			WHERE
				slot_name = 'template4'
		";
		$r = db_query($query);
		if (db_num_rows($r))
			$this->fourExists = TRUE;
		else
			print "\nTemplate 4 doesn't exist<br />";
		
		// check for template5
		$query = "
			SELECT
				site_id
			FROM
				slot
					INNER JOIN
				site
					ON
						FK_site = site_id
			WHERE
				slot_name = 'template5'
		";
		$r = db_query($query);
		if (db_num_rows($r))
			$this->fiveExists = TRUE;
		else
			print "\nTemplate 5 doesn't exist<br />";
		
		// return results
		if ($this->fourExists && $this->fiveExists)
			return TRUE;
		else
			return FALSE;
	}
	
    /**
     * Runs the update
	 */
	function run() {
	 	// Make sure that the two new templates exist 
	 	$this->hasRun();
	 	
	 	// add them if they don't.
	 	if (!$this->fourExists) {
			$newSlotName = "template4";
			$serializedEncodedSite = "O%3A4%3A%22site%22%3A32%3A%7Bs%3A11%3A%22permissions%22%3Ba%3A2%3A%7Bs%3A8%3A%22everyone%22%3Ba%3A5%3A%7Bi%3A0%3Bi%3A0%3Bi%3A1%3Bi%3A0%3Bi%3A2%3Bi%3A0%3Bi%3A3%3Bi%3A1%3Bi%3A4%3Bi%3A0%3B%7Ds%3A9%3A%22institute%22%3Ba%3A5%3A%7Bi%3A0%3Bi%3A0%3Bi%3A1%3Bi%3A0%3Bi%3A2%3Bi%3A0%3Bi%3A3%3Bi%3A0%3Bi%3A4%3Bi%3A0%3B%7D%7Ds%3A7%3A%22editors%22%3Ba%3A2%3A%7Bi%3A0%3Bs%3A8%3A%22everyone%22%3Bi%3A1%3Bs%3A9%3A%22institute%22%3B%7Ds%3A15%3A%22editorsToDelete%22%3Ba%3A0%3A%7B%7Ds%3A22%3A%22editorsToDeleteInScope%22%3Ba%3A0%3A%7B%7Ds%3A18%3A%22changedpermissions%22%3Bi%3A0%3Bs%3A17%3A%22cachedPermissions%22%3Ba%3A0%3A%7B%7Ds%3A16%3A%22builtPermissions%22%3Bi%3A1%3Bs%3A2%3A%22id%22%3Bs%3A1%3A%227%22%3Bs%3A4%3A%22data%22%3Ba%3A16%3A%7Bs%3A8%3A%22sections%22%3Ba%3A1%3A%7Bi%3A0%3Bs%3A2%3A%2216%22%3B%7Ds%3A5%3A%22title%22%3Bs%3A24%3A%22Advanced%3A%20Single%20Section%22%3Bs%3A12%3A%22activatedate%22%3Bs%3A10%3A%220000-00-00%22%3Bs%3A14%3A%22deactivatedate%22%3Bs%3A10%3A%220000-00-00%22%3Bs%3A6%3A%22active%22%3Bs%3A1%3A%221%22%3Bs%3A6%3A%22listed%22%3Bs%3A0%3A%22%22%3Bs%3A5%3A%22theme%22%3Bs%3A7%3A%22minimal%22%3Bs%3A13%3A%22themesettings%22%3Bs%3A0%3A%22%22%3Bs%3A6%3A%22header%22%3Bs%3A0%3A%22%22%3Bs%3A6%3A%22footer%22%3Bs%3A0%3A%22%22%3Bs%3A15%3A%22editedtimestamp%22%3Bs%3A14%3A%2220031110161133%22%3Bs%3A14%3A%22addedtimestamp%22%3Bs%3A14%3A%2220031110161133%22%3Bs%3A7%3A%22addedby%22%3Bs%3A5%3A%22admin%22%3Bs%3A8%3A%22editedby%22%3Bs%3A5%3A%22admin%22%3Bs%3A4%3A%22name%22%3Bs%3A9%3A%22template4%22%3Bs%3A4%3A%22type%22%3Bs%3A6%3A%22system%22%3B%7Ds%3A7%3A%22changed%22%3Ba%3A0%3A%7B%7Ds%3A7%3A%22fetched%22%3Ba%3A16%3A%7Bs%3A8%3A%22sections%22%3Bi%3A1%3Bs%3A5%3A%22title%22%3Bi%3A1%3Bs%3A12%3A%22activatedate%22%3Bi%3A1%3Bs%3A14%3A%22deactivatedate%22%3Bi%3A1%3Bs%3A6%3A%22active%22%3Bi%3A1%3Bs%3A6%3A%22listed%22%3Bi%3A1%3Bs%3A5%3A%22theme%22%3Bi%3A1%3Bs%3A13%3A%22themesettings%22%3Bi%3A1%3Bs%3A6%3A%22header%22%3Bi%3A1%3Bs%3A6%3A%22footer%22%3Bi%3A1%3Bs%3A15%3A%22editedtimestamp%22%3Bi%3A1%3Bs%3A14%3A%22addedtimestamp%22%3Bi%3A1%3Bs%3A7%3A%22addedby%22%3Bi%3A1%3Bs%3A8%3A%22editedby%22%3Bi%3A1%3Bs%3A4%3A%22name%22%3Bi%3A1%3Bs%3A4%3A%22type%22%3Bi%3A1%3B%7Ds%3A11%3A%22fetcheddown%22%3Bi%3A1%3Bs%3A9%3A%22fetchedup%22%3Bi%3A1%3Bs%3A11%3A%22tobefetched%22%3Bi%3A0%3Bs%3A11%3A%22owning_site%22%3Bs%3A9%3A%22template4%22%3Bs%3A13%3A%22owningSiteObj%22%3BO%3A4%3A%22site%22%3A32%3A%7Bs%3A11%3A%22permissions%22%3Ba%3A2%3A%7Bs%3A8%3A%22everyone%22%3Ba%3A5%3A%7Bi%3A0%3Bi%3A0%3Bi%3A1%3Bi%3A0%3Bi%3A2%3Bi%3A0%3Bi%3A3%3Bi%3A1%3Bi%3A4%3Bi%3A0%3B%7Ds%3A9%3A%22institute%22%3Ba%3A5%3A%7Bi%3A0%3Bi%3A0%3Bi%3A1%3Bi%3A0%3Bi%3A2%3Bi%3A0%3Bi%3A3%3Bi%3A0%3Bi%3A4%3Bi%3A0%3B%7D%7Ds%3A7%3A%22editors%22%3Ba%3A2%3A%7Bi%3A0%3Bs%3A8%3A%22everyone%22%3Bi%3A1%3Bs%3A9%3A%22institute%22%3B%7Ds%3A15%3A%22editorsToDelete%22%3Ba%3A0%3A%7B%7Ds%3A22%3A%22editorsToDeleteInScope%22%3Ba%3A0%3A%7B%7Ds%3A18%3A%22changedpermissions%22%3Bi%3A0%3Bs%3A17%3A%22cachedPermissions%22%3Ba%3A0%3A%7B%7Ds%3A16%3A%22builtPermissions%22%3Bi%3A1%3Bs%3A2%3A%22id%22%3Bs%3A1%3A%227%22%3Bs%3A4%3A%22data%22%3Ba%3A16%3A%7Bs%3A8%3A%22sections%22%3Ba%3A1%3A%7Bi%3A0%3Bs%3A2%3A%2216%22%3B%7Ds%3A5%3A%22title%22%3Bs%3A24%3A%22Advanced%3A%20Single%20Section%22%3Bs%3A12%3A%22activatedate%22%3Bs%3A10%3A%220000-00-00%22%3Bs%3A14%3A%22deactivatedate%22%3Bs%3A10%3A%220000-00-00%22%3Bs%3A6%3A%22active%22%3Bs%3A1%3A%221%22%3Bs%3A6%3A%22listed%22%3Bs%3A0%3A%22%22%3Bs%3A5%3A%22theme%22%3Bs%3A7%3A%22minimal%22%3Bs%3A13%3A%22themesettings%22%3Bs%3A0%3A%22%22%3Bs%3A6%3A%22header%22%3Bs%3A0%3A%22%22%3Bs%3A6%3A%22footer%22%3Bs%3A0%3A%22%22%3Bs%3A15%3A%22editedtimestamp%22%3Bs%3A14%3A%2220031110161133%22%3Bs%3A14%3A%22addedtimestamp%22%3Bs%3A14%3A%2220031110161133%22%3Bs%3A7%3A%22addedby%22%3Bs%3A5%3A%22admin%22%3Bs%3A8%3A%22editedby%22%3Bs%3A5%3A%22admin%22%3Bs%3A4%3A%22name%22%3Bs%3A9%3A%22template4%22%3Bs%3A4%3A%22type%22%3Bs%3A6%3A%22system%22%3B%7Ds%3A7%3A%22changed%22%3Ba%3A0%3A%7B%7Ds%3A7%3A%22fetched%22%3Ba%3A16%3A%7Bs%3A8%3A%22sections%22%3Bi%3A1%3Bs%3A5%3A%22title%22%3Bi%3A1%3Bs%3A12%3A%22activatedate%22%3Bi%3A1%3Bs%3A14%3A%22deactivatedate%22%3Bi%3A1%3Bs%3A6%3A%22active%22%3Bi%3A1%3Bs%3A6%3A%22listed%22%3Bi%3A1%3Bs%3A5%3A%22theme%22%3Bi%3A1%3Bs%3A13%3A%22themesettings%22%3Bi%3A1%3Bs%3A6%3A%22header%22%3Bi%3A1%3Bs%3A6%3A%22footer%22%3Bi%3A1%3Bs%3A15%3A%22editedtimestamp%22%3Bi%3A1%3Bs%3A14%3A%22addedtimestamp%22%3Bi%3A1%3Bs%3A7%3A%22addedby%22%3Bi%3A1%3Bs%3A8%3A%22editedby%22%3Bi%3A1%3Bs%3A4%3A%22name%22%3Bi%3A1%3Bs%3A4%3A%22type%22%3Bi%3A1%3B%7Ds%3A11%3A%22fetcheddown%22%3Bi%3A1%3Bs%3A9%3A%22fetchedup%22%3Bi%3A1%3Bs%3A11%3A%22tobefetched%22%3Bi%3A0%3Bs%3A11%3A%22owning_site%22%3Bs%3A9%3A%22template4%22%3Bs%3A13%3A%22owningSiteObj%22%3BR%3A64%3Bs%3A14%3A%22owning_section%22%3BN%3Bs%3A16%3A%22owningSectionObj%22%3BN%3Bs%3A11%3A%22owning_page%22%3BN%3Bs%3A13%3A%22owningPageObj%22%3BN%3Bs%3A14%3A%22_object_arrays%22%3Ba%3A3%3A%7Bs%3A4%3A%22site%22%3Bs%3A8%3A%22sections%22%3Bs%3A7%3A%22section%22%3Bs%3A5%3A%22pages%22%3Bs%3A4%3A%22page%22%3Bs%3A7%3A%22stories%22%3B%7Ds%3A7%3A%22_tables%22%3Ba%3A4%3A%7Bs%3A4%3A%22site%22%3Bs%3A5%3A%22sites%22%3Bs%3A7%3A%22section%22%3Bs%3A8%3A%22sections%22%3Bs%3A4%3A%22page%22%3Bs%3A5%3A%22pages%22%3Bs%3A5%3A%22story%22%3Bs%3A7%3A%22stories%22%3B%7Ds%3A7%3A%22_encode%22%3Ba%3A7%3A%7Bi%3A0%3Bs%3A5%3A%22title%22%3Bi%3A1%3Bs%3A6%3A%22header%22%3Bi%3A2%3Bs%3A6%3A%22footer%22%3Bi%3A3%3Bs%3A9%3A%22shorttext%22%3Bi%3A4%3Bs%3A10%3A%22longertext%22%3Bi%3A5%3Bs%3A11%3A%22discussions%22%3Bi%3A6%3Bs%3A3%3A%22url%22%3B%7Ds%3A6%3A%22_parse%22%3Ba%3A4%3A%7Bi%3A0%3Bs%3A6%3A%22header%22%3Bi%3A1%3Bs%3A6%3A%22footer%22%3Bi%3A2%3Bs%3A9%3A%22shorttext%22%3Bi%3A3%3Bs%3A10%3A%22longertext%22%3B%7Ds%3A7%3A%22canview%22%3Ba%3A1%3A%7Bs%3A8%3A%22everyone%22%3Bi%3A1%3B%7Ds%3A5%3A%22owner%22%3Bs%3A5%3A%22admin%22%3Bs%3A8%3A%22sections%22%3Ba%3A1%3A%7Bi%3A16%3BO%3A7%3A%22section%22%3A29%3A%7Bs%3A11%3A%22permissions%22%3Ba%3A2%3A%7Bs%3A8%3A%22everyone%22%3Ba%3A5%3A%7Bi%3A0%3Bi%3A0%3Bi%3A1%3Bi%3A0%3Bi%3A2%3Bi%3A0%3Bi%3A3%3Bi%3A1%3Bi%3A4%3Bi%3A0%3B%7Ds%3A9%3A%22institute%22%3Ba%3A5%3A%7Bi%3A0%3Bi%3A0%3Bi%3A1%3Bi%3A0%3Bi%3A2%3Bi%3A0%3Bi%3A3%3Bi%3A0%3Bi%3A4%3Bi%3A0%3B%7D%7Ds%3A7%3A%22editors%22%3Ba%3A2%3A%7Bi%3A0%3Bs%3A8%3A%22everyone%22%3Bi%3A1%3Bs%3A9%3A%22institute%22%3B%7Ds%3A15%3A%22editorsToDelete%22%3Ba%3A0%3A%7B%7Ds%3A22%3A%22editorsToDeleteInScope%22%3Ba%3A0%3A%7B%7Ds%3A18%3A%22changedpermissions%22%3Bi%3A0%3Bs%3A17%3A%22cachedPermissions%22%3Ba%3A0%3A%7B%7Ds%3A16%3A%22builtPermissions%22%3Bi%3A1%3Bs%3A2%3A%22id%22%3Bs%3A2%3A%2216%22%3Bs%3A4%3A%22data%22%3Ba%3A15%3A%7Bs%3A7%3A%22site_id%22%3Bs%3A9%3A%22template4%22%3Bs%3A5%3A%22title%22%3Bs%3A11%3A%22Section%20One%22%3Bs%3A14%3A%22deactivatedate%22%3Bs%3A10%3A%220000-00-00%22%3Bs%3A12%3A%22activatedate%22%3Bs%3A10%3A%220000-00-00%22%3Bs%3A6%3A%22active%22%3Bs%3A1%3A%221%22%3Bs%3A3%3A%22url%22%3Bs%3A0%3A%22%22%3Bs%3A6%3A%22locked%22%3Bs%3A1%3A%220%22%3Bs%3A4%3A%22type%22%3Bs%3A7%3A%22section%22%3Bs%3A2%3A%22id%22%3Bs%3A2%3A%2216%22%3Bs%3A5%3A%22pages%22%3Ba%3A1%3A%7Bi%3A0%3Bs%3A2%3A%2257%22%3B%7Ds%3A10%3A%22section_id%22%3Bs%3A2%3A%2216%22%3Bs%3A15%3A%22editedtimestamp%22%3Bs%3A14%3A%2220031110161133%22%3Bs%3A14%3A%22addedtimestamp%22%3Bs%3A14%3A%2220031110161133%22%3Bs%3A7%3A%22addedby%22%3Bs%3A5%3A%22admin%22%3Bs%3A8%3A%22editedby%22%3Bs%3A5%3A%22admin%22%3B%7Ds%3A7%3A%22changed%22%3Ba%3A0%3A%7B%7Ds%3A7%3A%22fetched%22%3Ba%3A14%3A%7Bs%3A5%3A%22pages%22%3Bi%3A1%3Bs%3A10%3A%22section_id%22%3Bi%3A1%3Bs%3A4%3A%22type%22%3Bi%3A1%3Bs%3A5%3A%22title%22%3Bi%3A1%3Bs%3A12%3A%22activatedate%22%3Bi%3A1%3Bs%3A14%3A%22deactivatedate%22%3Bi%3A1%3Bs%3A6%3A%22active%22%3Bi%3A1%3Bs%3A6%3A%22locked%22%3Bi%3A1%3Bs%3A15%3A%22editedtimestamp%22%3Bi%3A1%3Bs%3A14%3A%22addedtimestamp%22%3Bi%3A1%3Bs%3A7%3A%22addedby%22%3Bi%3A1%3Bs%3A8%3A%22editedby%22%3Bi%3A1%3Bs%3A7%3A%22site_id%22%3Bi%3A1%3Bs%3A3%3A%22url%22%3Bi%3A1%3B%7Ds%3A11%3A%22fetcheddown%22%3Bi%3A1%3Bs%3A9%3A%22fetchedup%22%3Bi%3A1%3Bs%3A11%3A%22tobefetched%22%3Bi%3A1%3Bs%3A11%3A%22owning_site%22%3Bs%3A9%3A%22template4%22%3Bs%3A13%3A%22owningSiteObj%22%3BR%3A64%3Bs%3A14%3A%22owning_section%22%3BN%3Bs%3A16%3A%22owningSectionObj%22%3BN%3Bs%3A11%3A%22owning_page%22%3BN%3Bs%3A13%3A%22owningPageObj%22%3BN%3Bs%3A14%3A%22_object_arrays%22%3Ba%3A3%3A%7Bs%3A4%3A%22site%22%3Bs%3A8%3A%22sections%22%3Bs%3A7%3A%22section%22%3Bs%3A5%3A%22pages%22%3Bs%3A4%3A%22page%22%3Bs%3A7%3A%22stories%22%3B%7Ds%3A7%3A%22_tables%22%3Ba%3A4%3A%7Bs%3A4%3A%22site%22%3Bs%3A5%3A%22sites%22%3Bs%3A7%3A%22section%22%3Bs%3A8%3A%22sections%22%3Bs%3A4%3A%22page%22%3Bs%3A5%3A%22pages%22%3Bs%3A5%3A%22story%22%3Bs%3A7%3A%22stories%22%3B%7Ds%3A7%3A%22_encode%22%3Ba%3A7%3A%7Bi%3A0%3Bs%3A5%3A%22title%22%3Bi%3A1%3Bs%3A6%3A%22header%22%3Bi%3A2%3Bs%3A6%3A%22footer%22%3Bi%3A3%3Bs%3A9%3A%22shorttext%22%3Bi%3A4%3Bs%3A10%3A%22longertext%22%3Bi%3A5%3Bs%3A11%3A%22discussions%22%3Bi%3A6%3Bs%3A3%3A%22url%22%3B%7Ds%3A6%3A%22_parse%22%3Ba%3A4%3A%7Bi%3A0%3Bs%3A6%3A%22header%22%3Bi%3A1%3Bs%3A6%3A%22footer%22%3Bi%3A2%3Bs%3A9%3A%22shorttext%22%3Bi%3A3%3Bs%3A10%3A%22longertext%22%3B%7Ds%3A5%3A%22pages%22%3Ba%3A1%3A%7Bi%3A57%3BO%3A4%3A%22page%22%3A29%3A%7Bs%3A11%3A%22permissions%22%3Ba%3A2%3A%7Bs%3A8%3A%22everyone%22%3Ba%3A5%3A%7Bi%3A0%3Bi%3A0%3Bi%3A1%3Bi%3A0%3Bi%3A2%3Bi%3A0%3Bi%3A3%3Bi%3A1%3Bi%3A4%3Bi%3A0%3B%7Ds%3A9%3A%22institute%22%3Ba%3A5%3A%7Bi%3A0%3Bi%3A0%3Bi%3A1%3Bi%3A0%3Bi%3A2%3Bi%3A0%3Bi%3A3%3Bi%3A0%3Bi%3A4%3Bi%3A0%3B%7D%7Ds%3A7%3A%22editors%22%3Ba%3A2%3A%7Bi%3A0%3Bs%3A8%3A%22everyone%22%3Bi%3A1%3Bs%3A9%3A%22institute%22%3B%7Ds%3A15%3A%22editorsToDelete%22%3Ba%3A0%3A%7B%7Ds%3A22%3A%22editorsToDeleteInScope%22%3Ba%3A0%3A%7B%7Ds%3A18%3A%22changedpermissions%22%3Bi%3A0%3Bs%3A17%3A%22cachedPermissions%22%3Ba%3A0%3A%7B%7Ds%3A16%3A%22builtPermissions%22%3Bi%3A1%3Bs%3A2%3A%22id%22%3Bs%3A2%3A%2257%22%3Bs%3A4%3A%22data%22%3Ba%3A21%3A%7Bs%3A7%3A%22site_id%22%3Bs%3A9%3A%22template4%22%3Bs%3A10%3A%22section_id%22%3Bs%3A2%3A%2216%22%3Bs%3A5%3A%22title%22%3Bs%3A8%3A%22Page%20One%22%3Bs%3A14%3A%22deactivatedate%22%3Bs%3A10%3A%220000-00-00%22%3Bs%3A12%3A%22activatedate%22%3Bs%3A10%3A%220000-00-00%22%3Bs%3A6%3A%22active%22%3Bs%3A1%3A%221%22%3Bs%3A3%3A%22url%22%3Bs%3A0%3A%22%22%3Bs%3A6%3A%22locked%22%3Bs%3A1%3A%220%22%3Bs%3A11%3A%22showcreator%22%3Bs%3A1%3A%220%22%3Bs%3A8%3A%22showdate%22%3Bs%3A1%3A%220%22%3Bs%3A9%3A%22archiveby%22%3Bs%3A4%3A%22none%22%3Bs%3A11%3A%22ediscussion%22%3Bs%3A1%3A%220%22%3Bs%3A6%3A%22showhr%22%3Bs%3A1%3A%220%22%3Bs%3A7%3A%22stories%22%3Ba%3A1%3A%7Bi%3A0%3Bs%3A2%3A%2244%22%3B%7Ds%3A10%3A%22storyorder%22%3Bs%3A6%3A%22custom%22%3Bs%3A4%3A%22type%22%3Bs%3A4%3A%22page%22%3Bs%3A7%3A%22page_id%22%3Bs%3A2%3A%2257%22%3Bs%3A15%3A%22editedtimestamp%22%3Bs%3A14%3A%2220031110161133%22%3Bs%3A14%3A%22addedtimestamp%22%3Bs%3A14%3A%2220031110161133%22%3Bs%3A7%3A%22addedby%22%3Bs%3A5%3A%22admin%22%3Bs%3A8%3A%22editedby%22%3Bs%3A5%3A%22admin%22%3B%7Ds%3A7%3A%22changed%22%3Ba%3A0%3A%7B%7Ds%3A7%3A%22fetched%22%3Ba%3A21%3A%7Bs%3A7%3A%22stories%22%3Bi%3A1%3Bs%3A10%3A%22section_id%22%3Bi%3A1%3Bs%3A7%3A%22page_id%22%3Bi%3A1%3Bs%3A4%3A%22type%22%3Bi%3A1%3Bs%3A5%3A%22title%22%3Bi%3A1%3Bs%3A12%3A%22activatedate%22%3Bi%3A1%3Bs%3A14%3A%22deactivatedate%22%3Bi%3A1%3Bs%3A6%3A%22active%22%3Bi%3A1%3Bs%3A10%3A%22storyorder%22%3Bi%3A1%3Bs%3A11%3A%22showcreator%22%3Bi%3A1%3Bs%3A8%3A%22showdate%22%3Bi%3A1%3Bs%3A6%3A%22showhr%22%3Bi%3A1%3Bs%3A9%3A%22archiveby%22%3Bi%3A1%3Bs%3A6%3A%22locked%22%3Bi%3A1%3Bs%3A15%3A%22editedtimestamp%22%3Bi%3A1%3Bs%3A14%3A%22addedtimestamp%22%3Bi%3A1%3Bs%3A11%3A%22ediscussion%22%3Bi%3A1%3Bs%3A7%3A%22addedby%22%3Bi%3A1%3Bs%3A8%3A%22editedby%22%3Bi%3A1%3Bs%3A7%3A%22site_id%22%3Bi%3A1%3Bs%3A3%3A%22url%22%3Bi%3A1%3B%7Ds%3A11%3A%22fetcheddown%22%3Bi%3A1%3Bs%3A9%3A%22fetchedup%22%3Bi%3A1%3Bs%3A11%3A%22tobefetched%22%3Bi%3A1%3Bs%3A11%3A%22owning_site%22%3Bs%3A9%3A%22template4%22%3Bs%3A13%3A%22owningSiteObj%22%3BR%3A64%3Bs%3A14%3A%22owning_section%22%3Bs%3A2%3A%2216%22%3Bs%3A16%3A%22owningSectionObj%22%3BR%3A157%3Bs%3A11%3A%22owning_page%22%3BN%3Bs%3A13%3A%22owningPageObj%22%3BN%3Bs%3A14%3A%22_object_arrays%22%3Ba%3A3%3A%7Bs%3A4%3A%22site%22%3Bs%3A8%3A%22sections%22%3Bs%3A7%3A%22section%22%3Bs%3A5%3A%22pages%22%3Bs%3A4%3A%22page%22%3Bs%3A7%3A%22stories%22%3B%7Ds%3A7%3A%22_tables%22%3Ba%3A4%3A%7Bs%3A4%3A%22site%22%3Bs%3A5%3A%22sites%22%3Bs%3A7%3A%22section%22%3Bs%3A8%3A%22sections%22%3Bs%3A4%3A%22page%22%3Bs%3A5%3A%22pages%22%3Bs%3A5%3A%22story%22%3Bs%3A7%3A%22stories%22%3B%7Ds%3A7%3A%22_encode%22%3Ba%3A7%3A%7Bi%3A0%3Bs%3A5%3A%22title%22%3Bi%3A1%3Bs%3A6%3A%22header%22%3Bi%3A2%3Bs%3A6%3A%22footer%22%3Bi%3A3%3Bs%3A9%3A%22shorttext%22%3Bi%3A4%3Bs%3A10%3A%22longertext%22%3Bi%3A5%3Bs%3A11%3A%22discussions%22%3Bi%3A6%3Bs%3A3%3A%22url%22%3B%7Ds%3A6%3A%22_parse%22%3Ba%3A4%3A%7Bi%3A0%3Bs%3A6%3A%22header%22%3Bi%3A1%3Bs%3A6%3A%22footer%22%3Bi%3A2%3Bs%3A9%3A%22shorttext%22%3Bi%3A3%3Bs%3A10%3A%22longertext%22%3B%7Ds%3A7%3A%22stories%22%3Ba%3A1%3A%7Bi%3A44%3BO%3A5%3A%22story%22%3A28%3A%7Bs%3A11%3A%22permissions%22%3Ba%3A2%3A%7Bs%3A8%3A%22everyone%22%3Ba%3A5%3A%7Bi%3A0%3Bi%3A0%3Bi%3A1%3Bi%3A0%3Bi%3A2%3Bi%3A0%3Bi%3A3%3Bi%3A1%3Bi%3A4%3Bi%3A0%3B%7Ds%3A9%3A%22institute%22%3Ba%3A5%3A%7Bi%3A0%3Bi%3A0%3Bi%3A1%3Bi%3A0%3Bi%3A2%3Bi%3A0%3Bi%3A3%3Bi%3A0%3Bi%3A4%3Bi%3A0%3B%7D%7Ds%3A7%3A%22editors%22%3Ba%3A2%3A%7Bi%3A0%3Bs%3A8%3A%22everyone%22%3Bi%3A1%3Bs%3A9%3A%22institute%22%3B%7Ds%3A15%3A%22editorsToDelete%22%3Ba%3A0%3A%7B%7Ds%3A22%3A%22editorsToDeleteInScope%22%3Ba%3A0%3A%7B%7Ds%3A18%3A%22changedpermissions%22%3Bi%3A0%3Bs%3A17%3A%22cachedPermissions%22%3Ba%3A0%3A%7B%7Ds%3A16%3A%22builtPermissions%22%3Bi%3A1%3Bs%3A2%3A%22id%22%3Bs%3A2%3A%2244%22%3Bs%3A4%3A%22data%22%3Ba%3A20%3A%7Bs%3A7%3A%22site_id%22%3Bs%3A9%3A%22template4%22%3Bs%3A10%3A%22section_id%22%3Bs%3A2%3A%2216%22%3Bs%3A7%3A%22page_id%22%3Bs%3A2%3A%2257%22%3Bs%3A5%3A%22title%22%3Bs%3A25%3A%22Welcome%20to%20your%20new%20site%21%22%3Bs%3A14%3A%22deactivatedate%22%3Bs%3A10%3A%220000-00-00%22%3Bs%3A12%3A%22activatedate%22%3Bs%3A10%3A%220000-00-00%22%3Bs%3A10%3A%22longertext%22%3Bs%3A0%3A%22%22%3Bs%3A9%3A%22shorttext%22%3Bs%3A439%3A%22%0D%0A-%20To%20add%20another%20block%20of%20text%20below%20this%20text%2C%20click%20the%0D%0A%22%3Cb%3E%2Badd%20content%3C%2Fb%3E%22%20button%20below.%0D%0A%0D%0A-%20To%20edit%20this%20text%2C%20click%20the%20%22%3Cb%3Eedit%3C%2Fb%3E%22%20button%20below.%0D%0A%0D%0A-%20To%20add%20another%20page%20or%20other%20item%20to%20this%20section%2C%20click%20on%20the%0D%0A%22%3Cb%3E%2Badd%20item%3C%2Fb%3E%22%20button%20to%20the%20left.%0D%0A%0D%0A-%20Clicking%20on%20the%20%22%3Cb%3Eedit%3C%2Fb%3E%22%20button%20next%20to%20a%20page%20or%20section%0D%0Awill%20allow%20you%20to%20rename%20it.%0D%0A%0D%0A-%20To%20add%20a%20new%20section%2C%20click%20the%20%22%3Cb%3E%2Badd%20section%3C%2Fb%3E%22%20button%20above.%20%22%3Bs%3A8%3A%22texttype%22%3Bs%3A4%3A%22text%22%3Bs%3A8%3A%22category%22%3Bs%3A0%3A%22%22%3Bs%3A3%3A%22url%22%3Bs%3A0%3A%22%22%3Bs%3A6%3A%22locked%22%3Bs%3A1%3A%220%22%3Bs%3A4%3A%22type%22%3Bs%3A5%3A%22story%22%3Bs%3A8%3A%22story_id%22%3Bs%3A2%3A%2244%22%3Bs%3A6%3A%22active%22%3Bs%3A1%3A%220%22%3Bs%3A15%3A%22editedtimestamp%22%3Bs%3A14%3A%2220031110161133%22%3Bs%3A14%3A%22addedtimestamp%22%3Bs%3A14%3A%2220031110161133%22%3Bs%3A7%3A%22discuss%22%3Bs%3A1%3A%220%22%3Bs%3A7%3A%22addedby%22%3Bs%3A5%3A%22admin%22%3Bs%3A8%3A%22editedby%22%3Bs%3A5%3A%22admin%22%3B%7Ds%3A7%3A%22changed%22%3Ba%3A0%3A%7B%7Ds%3A7%3A%22fetched%22%3Ba%3A20%3A%7Bs%3A10%3A%22section_id%22%3Bi%3A1%3Bs%3A7%3A%22page_id%22%3Bi%3A1%3Bs%3A8%3A%22story_id%22%3Bi%3A1%3Bs%3A4%3A%22type%22%3Bi%3A1%3Bs%3A5%3A%22title%22%3Bi%3A1%3Bs%3A12%3A%22activatedate%22%3Bi%3A1%3Bs%3A14%3A%22deactivatedate%22%3Bi%3A1%3Bs%3A6%3A%22active%22%3Bi%3A1%3Bs%3A6%3A%22locked%22%3Bi%3A1%3Bs%3A15%3A%22editedtimestamp%22%3Bi%3A1%3Bs%3A14%3A%22addedtimestamp%22%3Bi%3A1%3Bs%3A7%3A%22discuss%22%3Bi%3A1%3Bs%3A8%3A%22category%22%3Bi%3A1%3Bs%3A8%3A%22texttype%22%3Bi%3A1%3Bs%3A9%3A%22shorttext%22%3Bi%3A1%3Bs%3A10%3A%22longertext%22%3Bi%3A1%3Bs%3A3%3A%22url%22%3Bi%3A1%3Bs%3A7%3A%22addedby%22%3Bi%3A1%3Bs%3A8%3A%22editedby%22%3Bi%3A1%3Bs%3A7%3A%22site_id%22%3Bi%3A1%3B%7Ds%3A11%3A%22fetcheddown%22%3Bi%3A1%3Bs%3A9%3A%22fetchedup%22%3Bi%3A1%3Bs%3A11%3A%22tobefetched%22%3Bi%3A1%3Bs%3A11%3A%22owning_site%22%3Bs%3A9%3A%22template4%22%3Bs%3A13%3A%22owningSiteObj%22%3BR%3A64%3Bs%3A14%3A%22owning_section%22%3Bs%3A2%3A%2216%22%3Bs%3A16%3A%22owningSectionObj%22%3BR%3A157%3Bs%3A11%3A%22owning_page%22%3Bs%3A2%3A%2257%22%3Bs%3A13%3A%22owningPageObj%22%3BR%3A244%3Bs%3A14%3A%22_object_arrays%22%3Ba%3A3%3A%7Bs%3A4%3A%22site%22%3Bs%3A8%3A%22sections%22%3Bs%3A7%3A%22section%22%3Bs%3A5%3A%22pages%22%3Bs%3A4%3A%22page%22%3Bs%3A7%3A%22stories%22%3B%7Ds%3A7%3A%22_tables%22%3Ba%3A4%3A%7Bs%3A4%3A%22site%22%3Bs%3A5%3A%22sites%22%3Bs%3A7%3A%22section%22%3Bs%3A8%3A%22sections%22%3Bs%3A4%3A%22page%22%3Bs%3A5%3A%22pages%22%3Bs%3A5%3A%22story%22%3Bs%3A7%3A%22stories%22%3B%7Ds%3A7%3A%22_encode%22%3Ba%3A7%3A%7Bi%3A0%3Bs%3A5%3A%22title%22%3Bi%3A1%3Bs%3A6%3A%22header%22%3Bi%3A2%3Bs%3A6%3A%22footer%22%3Bi%3A3%3Bs%3A9%3A%22shorttext%22%3Bi%3A4%3Bs%3A10%3A%22longertext%22%3Bi%3A5%3Bs%3A11%3A%22discussions%22%3Bi%3A6%3Bs%3A3%3A%22url%22%3B%7Ds%3A6%3A%22_parse%22%3Ba%3A4%3A%7Bi%3A0%3Bs%3A6%3A%22header%22%3Bi%3A1%3Bs%3A6%3A%22footer%22%3Bi%3A2%3Bs%3A9%3A%22shorttext%22%3Bi%3A3%3Bs%3A10%3A%22longertext%22%3B%7Ds%3A10%3A%22_allfields%22%3Ba%3A20%3A%7Bi%3A0%3Bs%3A7%3A%22page_id%22%3Bi%3A1%3Bs%3A10%3A%22section_id%22%3Bi%3A2%3Bs%3A7%3A%22site_id%22%3Bi%3A3%3Bs%3A5%3A%22title%22%3Bi%3A4%3Bs%3A7%3A%22addedby%22%3Bi%3A5%3Bs%3A14%3A%22addedtimestamp%22%3Bi%3A6%3Bs%3A8%3A%22editedby%22%3Bi%3A7%3Bs%3A15%3A%22editedtimestamp%22%3Bi%3A8%3Bs%3A9%3A%22shorttext%22%3Bi%3A9%3Bs%3A10%3A%22longertext%22%3Bi%3A10%3Bs%3A12%3A%22activatedate%22%3Bi%3A11%3Bs%3A14%3A%22deactivatedate%22%3Bi%3A12%3Bs%3A7%3A%22discuss%22%3Bi%3A13%3Bs%3A6%3A%22locked%22%3Bi%3A14%3Bs%3A8%3A%22category%22%3Bi%3A15%3Bs%3A11%3A%22discussions%22%3Bi%3A16%3Bs%3A8%3A%22texttype%22%3Bi%3A17%3Bs%3A4%3A%22type%22%3Bi%3A18%3Bs%3A3%3A%22url%22%3Bi%3A19%3Bs%3A6%3A%22active%22%3B%7Ds%3A11%3A%22_datafields%22%3Ba%3A21%3A%7Bs%3A2%3A%22id%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A8%3A%22story_id%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A7%3A%22site_id%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A226%3A%22story%0A%09%09%09%09INNER%20JOIN%0A%09%09%09%20page%0A%09%09%09%20%09ON%20FK_page%20%3D%20page_id%0A%09%09%09%09INNER%20JOIN%0A%09%09%09%20section%0A%09%09%09%20%09ON%20FK_section%20%3D%20section_id%0A%09%09%09%20site%0A%09%09%09%20%09ON%20section.FK_site%20%3D%20site.site_id%0A%09%09%09%20%09INNER%20JOIN%0A%09%09%09%20slot%0A%09%09%09%09ON%20site.site_id%20%3D%20slot.FK_site%0A%09%09%09%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A7%3A%22FK_site%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A10%3A%22section_id%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A59%3A%22story%0A%09%09%09%09INNER%20JOIN%0A%09%09%09%20page%0A%09%09%09%20%09ON%20FK_page%20%3D%20page_id%0A%09%09%09%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22FK_section%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A7%3A%22page_id%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A7%3A%22FK_page%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A4%3A%22type%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A18%3A%22story_display_type%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A5%3A%22title%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22story_title%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A12%3A%22activatedate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A46%3A%22DATE_FORMAT%28story_activate_tstamp%2C%20%27%25Y-%25m-%25d%27%29%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A14%3A%22deactivatedate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A48%3A%22DATE_FORMAT%28story_deactivate_tstamp%2C%20%27%25Y-%25m-%25d%27%29%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A6%3A%22active%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A12%3A%22story_active%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A3%3A%22url%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A55%3A%22story%0A%09%09%09%09LEFT%20JOIN%0A%09%09%09media%0A%09%09%09%09ON%20FK_media%20%3D%20media_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A9%3A%22media_tag%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A6%3A%22locked%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A12%3A%22story_locked%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A8%3A%22editedby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A58%3A%22story%0A%09%09%09%09INNER%20JOIN%0A%09%09%09user%0A%09%09%09%09ON%20FK_updatedby%20%3D%20user_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22user_uname%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A15%3A%22editedtimestamp%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A20%3A%22story_updated_tstamp%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A7%3A%22addedby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A58%3A%22story%0A%09%09%09%09INNER%20JOIN%0A%09%09%09user%0A%09%09%09%09ON%20FK_createdby%20%3D%20user_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22user_uname%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A14%3A%22addedtimestamp%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A20%3A%22story_created_tstamp%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A7%3A%22discuss%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A17%3A%22story_discussable%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A8%3A%22category%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A14%3A%22story_category%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A8%3A%22texttype%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A15%3A%22story_text_type%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A11%3A%22discussions%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A67%3A%22story%0A%09%09%09%09INNER%20JOIN%0A%09%09%09%20discussion%0A%09%09%09%20%09ON%20FK_story%20%3D%20story_id%0A%09%09%09%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A13%3A%22discussion_id%22%3B%7Di%3A2%3Bs%3A16%3A%22discussion_order%22%3B%7Ds%3A9%3A%22shorttext%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A16%3A%22story_text_short%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7Ds%3A10%3A%22longertext%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A5%3A%22story%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A15%3A%22story_text_long%22%3B%7Di%3A2%3Bs%3A8%3A%22story_id%22%3B%7D%7Ds%3A6%3A%22_table%22%3Bs%3A5%3A%22story%22%3Bs%3A24%3A%22fetched_forever_and_ever%22%3Bi%3A1%3B%7D%7Ds%3A10%3A%22_allfields%22%3Ba%3A20%3A%7Bi%3A0%3Bs%3A10%3A%22section_id%22%3Bi%3A1%3Bs%3A7%3A%22site_id%22%3Bi%3A2%3Bs%3A5%3A%22title%22%3Bi%3A3%3Bs%3A14%3A%22addedtimestamp%22%3Bi%3A4%3Bs%3A7%3A%22addedby%22%3Bi%3A5%3Bs%3A8%3A%22editedby%22%3Bi%3A6%3Bs%3A15%3A%22editedtimestamp%22%3Bi%3A7%3Bs%3A12%3A%22activatedate%22%3Bi%3A8%3Bs%3A14%3A%22deactivatedate%22%3Bi%3A9%3Bs%3A6%3A%22active%22%3Bi%3A10%3Bs%3A6%3A%22locked%22%3Bi%3A11%3Bs%3A11%3A%22showcreator%22%3Bi%3A12%3Bs%3A8%3A%22showdate%22%3Bi%3A13%3Bs%3A6%3A%22showhr%22%3Bi%3A14%3Bs%3A7%3A%22stories%22%3Bi%3A15%3Bs%3A10%3A%22storyorder%22%3Bi%3A16%3Bs%3A4%3A%22type%22%3Bi%3A17%3Bs%3A3%3A%22url%22%3Bi%3A18%3Bs%3A11%3A%22ediscussion%22%3Bi%3A19%3Bs%3A9%3A%22archiveby%22%3B%7Ds%3A11%3A%22_datafields%22%3Ba%3A21%3A%7Bs%3A2%3A%22id%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A7%3A%22page_id%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A10%3A%22section_id%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22FK_section%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A7%3A%22site_id%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A190%3A%22page%0A%09%09%09%09INNER%20JOIN%0A%09%09%09%20section%0A%09%09%09%20%09ON%20FK_section%20%3D%20section_id%0A%09%09%09%09INNER%20JOIN%0A%09%09%09%20site%0A%09%09%09%20%09ON%20section.FK_site%20%3D%20site.site_id%0A%09%09%09%20%09INNER%20JOIN%0A%09%09%09%20slot%0A%09%09%09%09ON%20site.site_id%20%3D%20slot.FK_site%0A%09%09%09%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A9%3A%22slot_name%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A4%3A%22type%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A17%3A%22page_display_type%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A5%3A%22title%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22page_title%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A12%3A%22activatedate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A45%3A%22DATE_FORMAT%28page_activate_tstamp%2C%20%27%25Y-%25m-%25d%27%29%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A14%3A%22deactivatedate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A47%3A%22DATE_FORMAT%28page_deactivate_tstamp%2C%20%27%25Y-%25m-%25d%27%29%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A6%3A%22active%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22page_active%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A10%3A%22storyorder%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A16%3A%22page_story_order%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A11%3A%22showcreator%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A17%3A%22page_show_creator%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A8%3A%22showdate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A14%3A%22page_show_date%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A6%3A%22showhr%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A12%3A%22page_show_hr%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A3%3A%22url%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A54%3A%22page%0A%09%09%09%09LEFT%20JOIN%0A%09%09%09media%0A%09%09%09%09ON%20FK_media%20%3D%20media_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A9%3A%22media_tag%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A9%3A%22archiveby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A14%3A%22page_archiveby%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A6%3A%22locked%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22page_locked%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A8%3A%22editedby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A57%3A%22page%0A%09%09%09%09INNER%20JOIN%0A%09%09%09user%0A%09%09%09%09ON%20FK_updatedby%20%3D%20user_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22user_uname%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A15%3A%22editedtimestamp%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A19%3A%22page_updated_tstamp%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A7%3A%22addedby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A57%3A%22page%0A%09%09%09%09INNER%20JOIN%0A%09%09%09user%0A%09%09%09%09ON%20FK_createdby%20%3D%20user_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22user_uname%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A14%3A%22addedtimestamp%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A19%3A%22page_created_tstamp%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A11%3A%22ediscussion%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A16%3A%22page_ediscussion%22%3B%7Di%3A2%3Bs%3A7%3A%22page_id%22%3B%7Ds%3A7%3A%22stories%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A53%3A%22page%0A%09%09%09%09INNER%20JOIN%0A%09%09%09story%0A%09%09%09%09ON%20page_id%20%3D%20FK_page%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A8%3A%22story_id%22%3B%7Di%3A2%3Bs%3A11%3A%22story_order%22%3B%7D%7Ds%3A6%3A%22_table%22%3Bs%3A4%3A%22page%22%3Bs%3A24%3A%22fetched_forever_and_ever%22%3Bi%3A1%3B%7D%7Ds%3A10%3A%22_allfields%22%3Ba%3A13%3A%7Bi%3A0%3Bs%3A7%3A%22site_id%22%3Bi%3A1%3Bs%3A5%3A%22title%22%3Bi%3A2%3Bs%3A15%3A%22editedtimestamp%22%3Bi%3A3%3Bs%3A7%3A%22addedby%22%3Bi%3A4%3Bs%3A8%3A%22editedby%22%3Bi%3A5%3Bs%3A14%3A%22addedtimestamp%22%3Bi%3A6%3Bs%3A12%3A%22activatedate%22%3Bi%3A7%3Bs%3A14%3A%22deactivatedate%22%3Bi%3A8%3Bs%3A6%3A%22active%22%3Bi%3A9%3Bs%3A5%3A%22pages%22%3Bi%3A10%3Bs%3A4%3A%22type%22%3Bi%3A11%3Bs%3A3%3A%22url%22%3Bi%3A12%3Bs%3A6%3A%22locked%22%3B%7Ds%3A11%3A%22_datafields%22%3Ba%3A14%3A%7Bs%3A2%3A%22id%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A7%3A%22section%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22section_id%22%3B%7Di%3A2%3Bs%3A10%3A%22section_id%22%3B%7Ds%3A7%3A%22site_id%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A130%3A%22section%0A%09%09%09%09INNER%20JOIN%0A%09%09%09%20site%0A%09%09%09%20%09ON%20section.FK_site%20%3D%20site.site_id%0A%09%09%09%20%09INNER%20JOIN%0A%09%09%09%20slot%0A%09%09%09%09ON%20site.site_id%20%3D%20slot.FK_site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A9%3A%22slot_name%22%3B%7Di%3A2%3Bs%3A10%3A%22section_id%22%3B%7Ds%3A4%3A%22type%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A7%3A%22section%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A20%3A%22section_display_type%22%3B%7Di%3A2%3Bs%3A10%3A%22section_id%22%3B%7Ds%3A5%3A%22title%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A7%3A%22section%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A13%3A%22section_title%22%3B%7Di%3A2%3Bs%3A10%3A%22section_id%22%3B%7Ds%3A12%3A%22activatedate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A7%3A%22section%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A48%3A%22DATE_FORMAT%28section_activate_tstamp%2C%20%27%25Y-%25m-%25d%27%29%22%3B%7Di%3A2%3Bs%3A10%3A%22section_id%22%3B%7Ds%3A14%3A%22deactivatedate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A7%3A%22section%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A50%3A%22DATE_FORMAT%28section_deactivate_tstamp%2C%20%27%25Y-%25m-%25d%27%29%22%3B%7Di%3A2%3Bs%3A10%3A%22section_id%22%3B%7Ds%3A6%3A%22active%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A7%3A%22section%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A14%3A%22section_active%22%3B%7Di%3A2%3Bs%3A10%3A%22section_id%22%3B%7Ds%3A3%3A%22url%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A58%3A%22section%0A%09%09%09%09LEFT%20JOIN%0A%09%09%09%20media%0A%09%09%09%09ON%20FK_media%20%3D%20media_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A9%3A%22media_tag%22%3B%7Di%3A2%3Bs%3A10%3A%22section_id%22%3B%7Ds%3A6%3A%22locked%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A7%3A%22section%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A14%3A%22section_locked%22%3B%7Di%3A2%3Bs%3A10%3A%22section_id%22%3B%7Ds%3A8%3A%22editedby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A60%3A%22section%0A%09%09%09%09INNER%20JOIN%0A%09%09%09user%0A%09%09%09%09ON%20FK_updatedby%20%3D%20user_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22user_uname%22%3B%7Di%3A2%3Bs%3A10%3A%22section_id%22%3B%7Ds%3A15%3A%22editedtimestamp%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A7%3A%22section%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A22%3A%22section_updated_tstamp%22%3B%7Di%3A2%3Bs%3A10%3A%22section_id%22%3B%7Ds%3A7%3A%22addedby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A60%3A%22section%0A%09%09%09%09INNER%20JOIN%0A%09%09%09user%0A%09%09%09%09ON%20FK_createdby%20%3D%20user_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22user_uname%22%3B%7Di%3A2%3Bs%3A10%3A%22section_id%22%3B%7Ds%3A14%3A%22addedtimestamp%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A7%3A%22section%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A22%3A%22section_created_tstamp%22%3B%7Di%3A2%3Bs%3A10%3A%22section_id%22%3B%7Ds%3A5%3A%22pages%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A61%3A%22section%0A%09%09%09%09INNER%20JOIN%0A%09%09%09page%0A%09%09%09%09ON%20section_id%20%3D%20FK_section%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A7%3A%22page_id%22%3B%7Di%3A2%3Bs%3A10%3A%22page_order%22%3B%7D%7Ds%3A6%3A%22_table%22%3Bs%3A7%3A%22section%22%3Bs%3A24%3A%22fetched_forever_and_ever%22%3Bi%3A1%3B%7D%7Ds%3A4%3A%22name%22%3Bs%3A9%3A%22template4%22%3Bs%3A10%3A%22_allfields%22%3Ba%3A16%3A%7Bi%3A0%3Bs%3A4%3A%22name%22%3Bi%3A1%3Bs%3A5%3A%22title%22%3Bi%3A2%3Bs%3A5%3A%22theme%22%3Bi%3A3%3Bs%3A13%3A%22themesettings%22%3Bi%3A4%3Bs%3A6%3A%22header%22%3Bi%3A5%3Bs%3A6%3A%22footer%22%3Bi%3A6%3Bs%3A7%3A%22addedby%22%3Bi%3A7%3Bs%3A8%3A%22editedby%22%3Bi%3A8%3Bs%3A15%3A%22editedtimestamp%22%3Bi%3A9%3Bs%3A14%3A%22addedtimestamp%22%3Bi%3A10%3Bs%3A12%3A%22activatedate%22%3Bi%3A11%3Bs%3A14%3A%22deactivatedate%22%3Bi%3A12%3Bs%3A6%3A%22active%22%3Bi%3A13%3Bs%3A8%3A%22sections%22%3Bi%3A14%3Bs%3A6%3A%22listed%22%3Bi%3A15%3Bs%3A4%3A%22type%22%3B%7Ds%3A11%3A%22_datafields%22%3Ba%3A17%3A%7Bs%3A2%3A%22id%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A7%3A%22site_id%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A4%3A%22name%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A52%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09slot%0A%09%09%09%09ON%20site_id%20%3D%20FK_site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A9%3A%22slot_name%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A4%3A%22type%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A52%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09slot%0A%09%09%09%09ON%20site_id%20%3D%20FK_site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A9%3A%22slot_type%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A5%3A%22title%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22site_title%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A12%3A%22activatedate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A45%3A%22DATE_FORMAT%28site_activate_tstamp%2C%20%27%25Y-%25m-%25d%27%29%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A14%3A%22deactivatedate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A47%3A%22DATE_FORMAT%28site_deactivate_tstamp%2C%20%27%25Y-%25m-%25d%27%29%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22active%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_active%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22listed%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_listed%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A5%3A%22theme%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22site_theme%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A13%3A%22themesettings%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A18%3A%22site_themesettings%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22header%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_header%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22footer%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_footer%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A8%3A%22editedby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A57%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09user%0A%09%09%09%09ON%20FK_updatedby%20%3D%20user_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22user_uname%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A15%3A%22editedtimestamp%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A19%3A%22site_updated_tstamp%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A7%3A%22addedby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A59%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09%20user%0A%09%09%09%20%09ON%20FK_createdby%20%3D%20user_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22user_uname%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A14%3A%22addedtimestamp%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A19%3A%22site_created_tstamp%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A8%3A%22sections%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A55%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09section%0A%09%09%09%09ON%20site_id%20%3D%20FK_site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22section_id%22%3B%7Di%3A2%3Bs%3A13%3A%22section_order%22%3B%7D%7Ds%3A6%3A%22_table%22%3Bs%3A4%3A%22site%22%3Bs%3A24%3A%22fetched_forever_and_ever%22%3Bi%3A1%3B%7Ds%3A14%3A%22owning_section%22%3BN%3Bs%3A16%3A%22owningSectionObj%22%3BN%3Bs%3A11%3A%22owning_page%22%3BN%3Bs%3A13%3A%22owningPageObj%22%3BN%3Bs%3A14%3A%22_object_arrays%22%3Ba%3A3%3A%7Bs%3A4%3A%22site%22%3Bs%3A8%3A%22sections%22%3Bs%3A7%3A%22section%22%3Bs%3A5%3A%22pages%22%3Bs%3A4%3A%22page%22%3Bs%3A7%3A%22stories%22%3B%7Ds%3A7%3A%22_tables%22%3Ba%3A4%3A%7Bs%3A4%3A%22site%22%3Bs%3A5%3A%22sites%22%3Bs%3A7%3A%22section%22%3Bs%3A8%3A%22sections%22%3Bs%3A4%3A%22page%22%3Bs%3A5%3A%22pages%22%3Bs%3A5%3A%22story%22%3Bs%3A7%3A%22stories%22%3B%7Ds%3A7%3A%22_encode%22%3Ba%3A7%3A%7Bi%3A0%3Bs%3A5%3A%22title%22%3Bi%3A1%3Bs%3A6%3A%22header%22%3Bi%3A2%3Bs%3A6%3A%22footer%22%3Bi%3A3%3Bs%3A9%3A%22shorttext%22%3Bi%3A4%3Bs%3A10%3A%22longertext%22%3Bi%3A5%3Bs%3A11%3A%22discussions%22%3Bi%3A6%3Bs%3A3%3A%22url%22%3B%7Ds%3A6%3A%22_parse%22%3Ba%3A4%3A%7Bi%3A0%3Bs%3A6%3A%22header%22%3Bi%3A1%3Bs%3A6%3A%22footer%22%3Bi%3A2%3Bs%3A9%3A%22shorttext%22%3Bi%3A3%3Bs%3A10%3A%22longertext%22%3B%7Ds%3A7%3A%22canview%22%3Ba%3A1%3A%7Bs%3A8%3A%22everyone%22%3Bi%3A1%3B%7Ds%3A5%3A%22owner%22%3Bs%3A5%3A%22admin%22%3Bs%3A8%3A%22sections%22%3Ba%3A1%3A%7Bi%3A16%3BR%3A157%3B%7Ds%3A4%3A%22name%22%3Bs%3A9%3A%22template4%22%3Bs%3A10%3A%22_allfields%22%3Ba%3A16%3A%7Bi%3A0%3Bs%3A4%3A%22name%22%3Bi%3A1%3Bs%3A5%3A%22title%22%3Bi%3A2%3Bs%3A5%3A%22theme%22%3Bi%3A3%3Bs%3A13%3A%22themesettings%22%3Bi%3A4%3Bs%3A6%3A%22header%22%3Bi%3A5%3Bs%3A6%3A%22footer%22%3Bi%3A6%3Bs%3A7%3A%22addedby%22%3Bi%3A7%3Bs%3A8%3A%22editedby%22%3Bi%3A8%3Bs%3A15%3A%22editedtimestamp%22%3Bi%3A9%3Bs%3A14%3A%22addedtimestamp%22%3Bi%3A10%3Bs%3A12%3A%22activatedate%22%3Bi%3A11%3Bs%3A14%3A%22deactivatedate%22%3Bi%3A12%3Bs%3A6%3A%22active%22%3Bi%3A13%3Bs%3A8%3A%22sections%22%3Bi%3A14%3Bs%3A6%3A%22listed%22%3Bi%3A15%3Bs%3A4%3A%22type%22%3B%7Ds%3A11%3A%22_datafields%22%3Ba%3A17%3A%7Bs%3A2%3A%22id%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A7%3A%22site_id%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A4%3A%22name%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A52%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09slot%0A%09%09%09%09ON%20site_id%20%3D%20FK_site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A9%3A%22slot_name%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A4%3A%22type%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A52%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09slot%0A%09%09%09%09ON%20site_id%20%3D%20FK_site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A9%3A%22slot_type%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A5%3A%22title%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22site_title%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A12%3A%22activatedate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A45%3A%22DATE_FORMAT%28site_activate_tstamp%2C%20%27%25Y-%25m-%25d%27%29%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A14%3A%22deactivatedate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A47%3A%22DATE_FORMAT%28site_deactivate_tstamp%2C%20%27%25Y-%25m-%25d%27%29%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22active%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_active%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22listed%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_listed%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A5%3A%22theme%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22site_theme%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A13%3A%22themesettings%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A18%3A%22site_themesettings%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22header%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_header%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22footer%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_footer%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A8%3A%22editedby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A57%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09user%0A%09%09%09%09ON%20FK_updatedby%20%3D%20user_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22user_uname%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A15%3A%22editedtimestamp%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A19%3A%22site_updated_tstamp%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A7%3A%22addedby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A59%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09%20user%0A%09%09%09%20%09ON%20FK_createdby%20%3D%20user_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22user_uname%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A14%3A%22addedtimestamp%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A19%3A%22site_created_tstamp%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A8%3A%22sections%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A55%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09section%0A%09%09%09%09ON%20site_id%20%3D%20FK_site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22section_id%22%3B%7Di%3A2%3Bs%3A13%3A%22section_order%22%3B%7D%7Ds%3A6%3A%22_table%22%3Bs%3A4%3A%22site%22%3Bs%3A24%3A%22fetched_forever_and_ever%22%3Bi%3A1%3B%7D";
			
			$serializedSite = rawurldecode($serializedEncodedSite);
			$siteObj = unserialize($serializedSite);
		
			$siteObj->copySite($newSlotName, TRUE);
		}
		
		if (!$this->fiveExists) {
			$newSlotName = "template5";
			$serializedEncodedSite = "O%3A4%3A%22site%22%3A32%3A%7Bs%3A11%3A%22permissions%22%3Ba%3A2%3A%7Bs%3A8%3A%22everyone%22%3Ba%3A5%3A%7Bi%3A0%3Bi%3A0%3Bi%3A1%3Bi%3A0%3Bi%3A2%3Bi%3A0%3Bi%3A3%3Bi%3A1%3Bi%3A4%3Bi%3A0%3B%7Ds%3A9%3A%22institute%22%3Ba%3A5%3A%7Bi%3A0%3Bi%3A0%3Bi%3A1%3Bi%3A0%3Bi%3A2%3Bi%3A0%3Bi%3A3%3Bi%3A0%3Bi%3A4%3Bi%3A0%3B%7D%7Ds%3A7%3A%22editors%22%3Ba%3A2%3A%7Bi%3A0%3Bs%3A8%3A%22everyone%22%3Bi%3A1%3Bs%3A9%3A%22institute%22%3B%7Ds%3A15%3A%22editorsToDelete%22%3Ba%3A0%3A%7B%7Ds%3A22%3A%22editorsToDeleteInScope%22%3Ba%3A0%3A%7B%7Ds%3A18%3A%22changedpermissions%22%3Bi%3A0%3Bs%3A17%3A%22cachedPermissions%22%3Ba%3A0%3A%7B%7Ds%3A16%3A%22builtPermissions%22%3Bi%3A1%3Bs%3A2%3A%22id%22%3Bs%3A3%3A%22887%22%3Bs%3A4%3A%22data%22%3Ba%3A15%3A%7Bs%3A5%3A%22title%22%3Bs%3A15%3A%22Advanced%3A%20Blank%22%3Bs%3A12%3A%22activatedate%22%3Bs%3A10%3A%220000-00-00%22%3Bs%3A14%3A%22deactivatedate%22%3Bs%3A10%3A%220000-00-00%22%3Bs%3A6%3A%22active%22%3Bs%3A1%3A%221%22%3Bs%3A6%3A%22listed%22%3Bs%3A1%3A%221%22%3Bs%3A5%3A%22theme%22%3Bs%3A7%3A%22default%22%3Bs%3A13%3A%22themesettings%22%3Bs%3A0%3A%22%22%3Bs%3A6%3A%22header%22%3Bs%3A0%3A%22%22%3Bs%3A6%3A%22footer%22%3Bs%3A0%3A%22%22%3Bs%3A15%3A%22editedtimestamp%22%3Bs%3A14%3A%2220031112132437%22%3Bs%3A14%3A%22addedtimestamp%22%3Bs%3A14%3A%2220031023144255%22%3Bs%3A7%3A%22addedby%22%3Bs%3A5%3A%22admin%22%3Bs%3A8%3A%22editedby%22%3Bs%3A7%3A%22gschine%22%3Bs%3A4%3A%22name%22%3Bs%3A9%3A%22template5%22%3Bs%3A4%3A%22type%22%3Bs%3A6%3A%22system%22%3B%7Ds%3A7%3A%22changed%22%3Ba%3A0%3A%7B%7Ds%3A7%3A%22fetched%22%3Ba%3A15%3A%7Bs%3A5%3A%22title%22%3Bi%3A1%3Bs%3A12%3A%22activatedate%22%3Bi%3A1%3Bs%3A14%3A%22deactivatedate%22%3Bi%3A1%3Bs%3A6%3A%22active%22%3Bi%3A1%3Bs%3A6%3A%22listed%22%3Bi%3A1%3Bs%3A5%3A%22theme%22%3Bi%3A1%3Bs%3A13%3A%22themesettings%22%3Bi%3A1%3Bs%3A6%3A%22header%22%3Bi%3A1%3Bs%3A6%3A%22footer%22%3Bi%3A1%3Bs%3A15%3A%22editedtimestamp%22%3Bi%3A1%3Bs%3A14%3A%22addedtimestamp%22%3Bi%3A1%3Bs%3A7%3A%22addedby%22%3Bi%3A1%3Bs%3A8%3A%22editedby%22%3Bi%3A1%3Bs%3A4%3A%22name%22%3Bi%3A1%3Bs%3A4%3A%22type%22%3Bi%3A1%3B%7Ds%3A11%3A%22fetcheddown%22%3Bi%3A1%3Bs%3A9%3A%22fetchedup%22%3Bi%3A1%3Bs%3A11%3A%22tobefetched%22%3Bi%3A0%3Bs%3A11%3A%22owning_site%22%3Bs%3A9%3A%22template5%22%3Bs%3A13%3A%22owningSiteObj%22%3BO%3A4%3A%22site%22%3A32%3A%7Bs%3A11%3A%22permissions%22%3Ba%3A2%3A%7Bs%3A8%3A%22everyone%22%3Ba%3A5%3A%7Bi%3A0%3Bi%3A0%3Bi%3A1%3Bi%3A0%3Bi%3A2%3Bi%3A0%3Bi%3A3%3Bi%3A1%3Bi%3A4%3Bi%3A0%3B%7Ds%3A9%3A%22institute%22%3Ba%3A5%3A%7Bi%3A0%3Bi%3A0%3Bi%3A1%3Bi%3A0%3Bi%3A2%3Bi%3A0%3Bi%3A3%3Bi%3A0%3Bi%3A4%3Bi%3A0%3B%7D%7Ds%3A7%3A%22editors%22%3Ba%3A2%3A%7Bi%3A0%3Bs%3A8%3A%22everyone%22%3Bi%3A1%3Bs%3A9%3A%22institute%22%3B%7Ds%3A15%3A%22editorsToDelete%22%3Ba%3A0%3A%7B%7Ds%3A22%3A%22editorsToDeleteInScope%22%3Ba%3A0%3A%7B%7Ds%3A18%3A%22changedpermissions%22%3Bi%3A0%3Bs%3A17%3A%22cachedPermissions%22%3Ba%3A0%3A%7B%7Ds%3A16%3A%22builtPermissions%22%3Bi%3A1%3Bs%3A2%3A%22id%22%3Bs%3A3%3A%22887%22%3Bs%3A4%3A%22data%22%3Ba%3A15%3A%7Bs%3A5%3A%22title%22%3Bs%3A15%3A%22Advanced%3A%20Blank%22%3Bs%3A12%3A%22activatedate%22%3Bs%3A10%3A%220000-00-00%22%3Bs%3A14%3A%22deactivatedate%22%3Bs%3A10%3A%220000-00-00%22%3Bs%3A6%3A%22active%22%3Bs%3A1%3A%221%22%3Bs%3A6%3A%22listed%22%3Bs%3A1%3A%221%22%3Bs%3A5%3A%22theme%22%3Bs%3A7%3A%22default%22%3Bs%3A13%3A%22themesettings%22%3Bs%3A0%3A%22%22%3Bs%3A6%3A%22header%22%3Bs%3A0%3A%22%22%3Bs%3A6%3A%22footer%22%3Bs%3A0%3A%22%22%3Bs%3A15%3A%22editedtimestamp%22%3Bs%3A14%3A%2220031112132437%22%3Bs%3A14%3A%22addedtimestamp%22%3Bs%3A14%3A%2220031023144255%22%3Bs%3A7%3A%22addedby%22%3Bs%3A5%3A%22admin%22%3Bs%3A8%3A%22editedby%22%3Bs%3A7%3A%22gschine%22%3Bs%3A4%3A%22name%22%3Bs%3A9%3A%22template5%22%3Bs%3A4%3A%22type%22%3Bs%3A6%3A%22system%22%3B%7Ds%3A7%3A%22changed%22%3Ba%3A0%3A%7B%7Ds%3A7%3A%22fetched%22%3Ba%3A15%3A%7Bs%3A5%3A%22title%22%3Bi%3A1%3Bs%3A12%3A%22activatedate%22%3Bi%3A1%3Bs%3A14%3A%22deactivatedate%22%3Bi%3A1%3Bs%3A6%3A%22active%22%3Bi%3A1%3Bs%3A6%3A%22listed%22%3Bi%3A1%3Bs%3A5%3A%22theme%22%3Bi%3A1%3Bs%3A13%3A%22themesettings%22%3Bi%3A1%3Bs%3A6%3A%22header%22%3Bi%3A1%3Bs%3A6%3A%22footer%22%3Bi%3A1%3Bs%3A15%3A%22editedtimestamp%22%3Bi%3A1%3Bs%3A14%3A%22addedtimestamp%22%3Bi%3A1%3Bs%3A7%3A%22addedby%22%3Bi%3A1%3Bs%3A8%3A%22editedby%22%3Bi%3A1%3Bs%3A4%3A%22name%22%3Bi%3A1%3Bs%3A4%3A%22type%22%3Bi%3A1%3B%7Ds%3A11%3A%22fetcheddown%22%3Bi%3A1%3Bs%3A9%3A%22fetchedup%22%3Bi%3A1%3Bs%3A11%3A%22tobefetched%22%3Bi%3A0%3Bs%3A11%3A%22owning_site%22%3Bs%3A9%3A%22template5%22%3Bs%3A13%3A%22owningSiteObj%22%3BR%3A61%3Bs%3A14%3A%22owning_section%22%3BN%3Bs%3A16%3A%22owningSectionObj%22%3BN%3Bs%3A11%3A%22owning_page%22%3BN%3Bs%3A13%3A%22owningPageObj%22%3BN%3Bs%3A14%3A%22_object_arrays%22%3Ba%3A3%3A%7Bs%3A4%3A%22site%22%3Bs%3A8%3A%22sections%22%3Bs%3A7%3A%22section%22%3Bs%3A5%3A%22pages%22%3Bs%3A4%3A%22page%22%3Bs%3A7%3A%22stories%22%3B%7Ds%3A7%3A%22_tables%22%3Ba%3A4%3A%7Bs%3A4%3A%22site%22%3Bs%3A5%3A%22sites%22%3Bs%3A7%3A%22section%22%3Bs%3A8%3A%22sections%22%3Bs%3A4%3A%22page%22%3Bs%3A5%3A%22pages%22%3Bs%3A5%3A%22story%22%3Bs%3A7%3A%22stories%22%3B%7Ds%3A7%3A%22_encode%22%3Ba%3A7%3A%7Bi%3A0%3Bs%3A5%3A%22title%22%3Bi%3A1%3Bs%3A6%3A%22header%22%3Bi%3A2%3Bs%3A6%3A%22footer%22%3Bi%3A3%3Bs%3A9%3A%22shorttext%22%3Bi%3A4%3Bs%3A10%3A%22longertext%22%3Bi%3A5%3Bs%3A11%3A%22discussions%22%3Bi%3A6%3Bs%3A3%3A%22url%22%3B%7Ds%3A6%3A%22_parse%22%3Ba%3A4%3A%7Bi%3A0%3Bs%3A6%3A%22header%22%3Bi%3A1%3Bs%3A6%3A%22footer%22%3Bi%3A2%3Bs%3A9%3A%22shorttext%22%3Bi%3A3%3Bs%3A10%3A%22longertext%22%3B%7Ds%3A7%3A%22canview%22%3Ba%3A1%3A%7Bs%3A8%3A%22everyone%22%3Bi%3A1%3B%7Ds%3A5%3A%22owner%22%3Bs%3A5%3A%22admin%22%3Bs%3A8%3A%22sections%22%3Ba%3A0%3A%7B%7Ds%3A4%3A%22name%22%3Bs%3A9%3A%22template5%22%3Bs%3A10%3A%22_allfields%22%3Ba%3A16%3A%7Bi%3A0%3Bs%3A4%3A%22name%22%3Bi%3A1%3Bs%3A5%3A%22title%22%3Bi%3A2%3Bs%3A5%3A%22theme%22%3Bi%3A3%3Bs%3A13%3A%22themesettings%22%3Bi%3A4%3Bs%3A6%3A%22header%22%3Bi%3A5%3Bs%3A6%3A%22footer%22%3Bi%3A6%3Bs%3A7%3A%22addedby%22%3Bi%3A7%3Bs%3A8%3A%22editedby%22%3Bi%3A8%3Bs%3A15%3A%22editedtimestamp%22%3Bi%3A9%3Bs%3A14%3A%22addedtimestamp%22%3Bi%3A10%3Bs%3A12%3A%22activatedate%22%3Bi%3A11%3Bs%3A14%3A%22deactivatedate%22%3Bi%3A12%3Bs%3A6%3A%22active%22%3Bi%3A13%3Bs%3A8%3A%22sections%22%3Bi%3A14%3Bs%3A6%3A%22listed%22%3Bi%3A15%3Bs%3A4%3A%22type%22%3B%7Ds%3A11%3A%22_datafields%22%3Ba%3A17%3A%7Bs%3A2%3A%22id%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A7%3A%22site_id%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A4%3A%22name%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A52%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09slot%0A%09%09%09%09ON%20site_id%20%3D%20FK_site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A9%3A%22slot_name%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A4%3A%22type%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A52%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09slot%0A%09%09%09%09ON%20site_id%20%3D%20FK_site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A9%3A%22slot_type%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A5%3A%22title%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22site_title%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A12%3A%22activatedate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A45%3A%22DATE_FORMAT%28site_activate_tstamp%2C%20%27%25Y-%25m-%25d%27%29%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A14%3A%22deactivatedate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A47%3A%22DATE_FORMAT%28site_deactivate_tstamp%2C%20%27%25Y-%25m-%25d%27%29%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22active%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_active%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22listed%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_listed%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A5%3A%22theme%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22site_theme%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A13%3A%22themesettings%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A18%3A%22site_themesettings%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22header%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_header%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22footer%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_footer%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A8%3A%22editedby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A57%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09user%0A%09%09%09%09ON%20FK_updatedby%20%3D%20user_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22user_uname%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A15%3A%22editedtimestamp%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A19%3A%22site_updated_tstamp%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A7%3A%22addedby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A59%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09%20user%0A%09%09%09%20%09ON%20FK_createdby%20%3D%20user_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22user_uname%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A14%3A%22addedtimestamp%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A19%3A%22site_created_tstamp%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A8%3A%22sections%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A55%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09section%0A%09%09%09%09ON%20site_id%20%3D%20FK_site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22section_id%22%3B%7Di%3A2%3Bs%3A13%3A%22section_order%22%3B%7D%7Ds%3A6%3A%22_table%22%3Bs%3A4%3A%22site%22%3Bs%3A24%3A%22fetched_forever_and_ever%22%3Bi%3A1%3B%7Ds%3A14%3A%22owning_section%22%3BN%3Bs%3A16%3A%22owningSectionObj%22%3BN%3Bs%3A11%3A%22owning_page%22%3BN%3Bs%3A13%3A%22owningPageObj%22%3BN%3Bs%3A14%3A%22_object_arrays%22%3Ba%3A3%3A%7Bs%3A4%3A%22site%22%3Bs%3A8%3A%22sections%22%3Bs%3A7%3A%22section%22%3Bs%3A5%3A%22pages%22%3Bs%3A4%3A%22page%22%3Bs%3A7%3A%22stories%22%3B%7Ds%3A7%3A%22_tables%22%3Ba%3A4%3A%7Bs%3A4%3A%22site%22%3Bs%3A5%3A%22sites%22%3Bs%3A7%3A%22section%22%3Bs%3A8%3A%22sections%22%3Bs%3A4%3A%22page%22%3Bs%3A5%3A%22pages%22%3Bs%3A5%3A%22story%22%3Bs%3A7%3A%22stories%22%3B%7Ds%3A7%3A%22_encode%22%3Ba%3A7%3A%7Bi%3A0%3Bs%3A5%3A%22title%22%3Bi%3A1%3Bs%3A6%3A%22header%22%3Bi%3A2%3Bs%3A6%3A%22footer%22%3Bi%3A3%3Bs%3A9%3A%22shorttext%22%3Bi%3A4%3Bs%3A10%3A%22longertext%22%3Bi%3A5%3Bs%3A11%3A%22discussions%22%3Bi%3A6%3Bs%3A3%3A%22url%22%3B%7Ds%3A6%3A%22_parse%22%3Ba%3A4%3A%7Bi%3A0%3Bs%3A6%3A%22header%22%3Bi%3A1%3Bs%3A6%3A%22footer%22%3Bi%3A2%3Bs%3A9%3A%22shorttext%22%3Bi%3A3%3Bs%3A10%3A%22longertext%22%3B%7Ds%3A7%3A%22canview%22%3Ba%3A1%3A%7Bs%3A8%3A%22everyone%22%3Bi%3A1%3B%7Ds%3A5%3A%22owner%22%3Bs%3A5%3A%22admin%22%3Bs%3A8%3A%22sections%22%3Ba%3A0%3A%7B%7Ds%3A4%3A%22name%22%3Bs%3A9%3A%22template5%22%3Bs%3A10%3A%22_allfields%22%3Ba%3A16%3A%7Bi%3A0%3Bs%3A4%3A%22name%22%3Bi%3A1%3Bs%3A5%3A%22title%22%3Bi%3A2%3Bs%3A5%3A%22theme%22%3Bi%3A3%3Bs%3A13%3A%22themesettings%22%3Bi%3A4%3Bs%3A6%3A%22header%22%3Bi%3A5%3Bs%3A6%3A%22footer%22%3Bi%3A6%3Bs%3A7%3A%22addedby%22%3Bi%3A7%3Bs%3A8%3A%22editedby%22%3Bi%3A8%3Bs%3A15%3A%22editedtimestamp%22%3Bi%3A9%3Bs%3A14%3A%22addedtimestamp%22%3Bi%3A10%3Bs%3A12%3A%22activatedate%22%3Bi%3A11%3Bs%3A14%3A%22deactivatedate%22%3Bi%3A12%3Bs%3A6%3A%22active%22%3Bi%3A13%3Bs%3A8%3A%22sections%22%3Bi%3A14%3Bs%3A6%3A%22listed%22%3Bi%3A15%3Bs%3A4%3A%22type%22%3B%7Ds%3A11%3A%22_datafields%22%3Ba%3A17%3A%7Bs%3A2%3A%22id%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A7%3A%22site_id%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A4%3A%22name%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A52%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09slot%0A%09%09%09%09ON%20site_id%20%3D%20FK_site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A9%3A%22slot_name%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A4%3A%22type%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A52%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09slot%0A%09%09%09%09ON%20site_id%20%3D%20FK_site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A9%3A%22slot_type%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A5%3A%22title%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22site_title%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A12%3A%22activatedate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A45%3A%22DATE_FORMAT%28site_activate_tstamp%2C%20%27%25Y-%25m-%25d%27%29%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A14%3A%22deactivatedate%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A47%3A%22DATE_FORMAT%28site_deactivate_tstamp%2C%20%27%25Y-%25m-%25d%27%29%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22active%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_active%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22listed%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_listed%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A5%3A%22theme%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22site_theme%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A13%3A%22themesettings%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A18%3A%22site_themesettings%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22header%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_header%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A6%3A%22footer%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A11%3A%22site_footer%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A8%3A%22editedby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A57%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09user%0A%09%09%09%09ON%20FK_updatedby%20%3D%20user_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22user_uname%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A15%3A%22editedtimestamp%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A19%3A%22site_updated_tstamp%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A7%3A%22addedby%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A59%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09%20user%0A%09%09%09%20%09ON%20FK_createdby%20%3D%20user_id%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22user_uname%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A14%3A%22addedtimestamp%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A4%3A%22site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A19%3A%22site_created_tstamp%22%3B%7Di%3A2%3Bs%3A7%3A%22site_id%22%3B%7Ds%3A8%3A%22sections%22%3Ba%3A3%3A%7Bi%3A0%3Bs%3A55%3A%22site%0A%09%09%09%09INNER%20JOIN%0A%09%09%09section%0A%09%09%09%09ON%20site_id%20%3D%20FK_site%22%3Bi%3A1%3Ba%3A1%3A%7Bi%3A0%3Bs%3A10%3A%22section_id%22%3B%7Di%3A2%3Bs%3A13%3A%22section_order%22%3B%7D%7Ds%3A6%3A%22_table%22%3Bs%3A4%3A%22site%22%3Bs%3A24%3A%22fetched_forever_and_ever%22%3Bi%3A1%3B%7D";
			
			$serializedSite = rawurldecode($serializedEncodedSite);
			$siteObj = unserialize($serializedSite);
			
//			print_r($serializedSite);
		
			$siteObj->copySite($newSlotName, TRUE);
		}
	}
}
?>